Page MenuHomeFreeBSD

USES=cargo to convert LDFLAGS into RUSTFLAGS
ClosedPublic

Authored by jbeich on Nov 18 2018, 8:25 PM.

Details

Summary

No consumers appear to require LDFLAGS at this time as only -fstack-protector is passed by default.

Test Plan

All consumers built fine (tested together with D18427).

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jbeich created this revision.Nov 18 2018, 8:25 PM
jbeich added inline comments.Nov 18 2018, 8:28 PM
Mk/Uses/cargo.mk
71 ↗(On Diff #50569)

Should -C link-arg=* be before or after RUSTFLAGS (from environment or set by port)?

tobik requested changes to this revision.Nov 22 2018, 5:05 AM
tobik added inline comments.
Mk/Uses/cargo.mk
71 ↗(On Diff #50569)

What does the extra : at the end do?

Should -C link-arg=* be before or after RUSTFLAGS (from environment or set by port)?

I don't think the order matters much since no port sets any -C link-arg in RUSTFLAGS. With this in place ports should manipulate LDFLAGS over RUSTFLAGS anyway.

This revision now requires changes to proceed.Nov 22 2018, 5:05 AM
tobik accepted this revision.Nov 22 2018, 5:06 AM

Oops, meant to accept (if you remove the extra :).

This revision is now accepted and ready to land.Nov 22 2018, 5:06 AM
jbeich updated this revision to Diff 51578.Dec 4 2018, 2:10 PM
jbeich edited the test plan for this revision. (Show Details)
jbeich edited reviewers, added: rust; removed: tobik, dumbbell, riggs, koobs, will.
  • Drop spurious : (colon) as requested by @tobik
This revision now requires review to proceed.Dec 4 2018, 2:10 PM
tobik accepted this revision as: rust.Dec 4 2018, 7:31 PM
This revision was not accepted when it landed; it landed in state Needs Review.Dec 6 2018, 5:08 PM
This revision was automatically updated to reflect the committed changes.